#
# spec file for package rubygem-http_parser.rb
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-http_parser.rb
Version:        0.8.0
Release:        1.13
%define mod_name http_parser.rb
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/tmm1/http_parser.rb
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Simple callback-based HTTP request/response parser
License:        MIT
Group:          Development/Languages/Ruby

%description
Ruby bindings to https://github.com/joyent/http-parser and
https://github.com/http-parser/http-parser.java.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE-MIT README.md" \
  -f
%gem_cleanup
# MANUAL
find %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version} -name .gitmodules -print -delete
find %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version} -name .gitkeep -print -delete
find %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version} -name .gitignore -print -delete
find %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version} -name \*.jar -print -delete
find %{buildroot}%{_libdir}/ruby/gems/*/gems/%{mod_name}-%{version} -name '*.[h|c|o]' -print -delete
# /MANUAL

%gem_packages

%changelog
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.8.0
  no changelog found
* Mon Jul 26 2021 Stephan Kulow <coolo@suse.com>
  updated to version 0.7.0
  no changelog found
* Mon Jan 12 2015 dmueller@suse.com
- regenerate with newer gem2rpm to package license files
* Sat Nov  1 2014 tboerger@suse.com
- Replaced rb_ver with an asterisk to expand correctly with multiple ruby versions
* Wed Oct 22 2014 tboerger@suse.com
- Remove development and java files
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Thu Feb 13 2014 coolo@suse.com
- use new macros
* Thu Dec 12 2013 coolo@suse.com
- updated to version 0.6.0, no changelog
* Mon Nov  5 2012 coolo@suse.com
- update to current gem2rpm template
* Fri Jan  6 2012 mrueckert@suse.de
- initial package
